<?php
/*
 * @package Joomla 1.5
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html, see LICENSE.php
 *
 * @module OpenSim Friends
 * @copyright Copyright (C) 2010 FoTo50 http://www.foto50.com/opensim/
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
//no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

// require the opensim class
define("_OPENSIMCLASS",JPATH_BASE.DS."components".DS."com_opensim".DS."includes".DS."opensim.class.php");
require_once(_OPENSIMCLASS);

// include the helper file
require_once(dirname(__FILE__).DS.'helper.php');

// get a parameter from the module's configuration
$lastDays		= $params->get('lastDays');
$offlinecolor	= $params->get('offlineColor');
$onlinecolor	= $params->get('onlineColor');
$linkprofile	= $params->get('linkprofile');
$namelength		= $params->get('namelength');
// get the values to display from the helper
// $values = ModOpenSimFriendsHelper::getStatus($offlinecolor,$onlinecolor);

$os_friends = new ModOpenSimFriendsHelper($namelength);

if(!$offlinecolor) $offlinecolor	= $os_friends->offlinecolor;
if(!$onlinecolor)  $onlinecolor		= $os_friends->onlinecolor;


$pageclass = $params->get('moduleclass_sfx');

$friendlist = $os_friends->getFriendList();
$user =& JFactory::getUser();
$userid = $user->id;

$onlineText = "<font color='".$onlinecolor."'>".JText::_('MOD_FRIENDS_ONLINE')."</font>";
$offlineText = "<font color='".$offlinecolor."'>".JText::_('MOD_FRIENDS_OFFLINE')."</font>";

// include the template for display
require(JModuleHelper::getLayoutPath('mod_opensim_friends'));
?>
